Index: src/sas/sasgui/guiframe/dataFitting.py
===================================================================
--- src/sas/sasgui/guiframe/dataFitting.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/dataFitting.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -154,8 +154,8 @@
         result.lam = np.append(self.lam, other.lam)
         result.lam = result.lam[ind]
-        if result.dlam != None:
+        if result.dlam is not None:
             result.dlam = np.append(self.dlam, other.dlam)
             result.dlam = result.dlam[ind]
-        if result.dy != None:
+        if result.dy is not None:
             result.dy = np.append(self.dy, other.dy)
             result.dy = result.dy[ind]
@@ -307,5 +307,5 @@
         result.lam = np.append(self.lam, other.lam)
         result.lam = result.lam[ind]
-        if result.dy != None:
+        if result.dy is not None:
             result.dy = np.append(self.dy, other.dy)
             result.dy = result.dy[ind]
Index: src/sas/sasgui/guiframe/data_processor.py
===================================================================
--- src/sas/sasgui/guiframe/data_processor.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sasgui/guiframe/data_processor.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -1028,5 +1028,5 @@
                                     label += create_label(col_name,
                                                           int(new_row) + 1, None)
-                    if row_min != None and row_max != None:
+                    if row_min is not None and row_max is not None:
                         if index == 0:
                             label += create_label(col_name,
@@ -1374,5 +1374,5 @@
             wx.PostEvent(self.parent.parent, StatusEvent(status=msg, info="error"))
             return
-        if dy != None and (len(y) != len(dy)):
+        if dy is not None and (len(y) != len(dy)):
             msg = "Need same length for Y and dY axis and both greater than 0"
             msg += " to plot.\n"
@@ -1572,7 +1572,7 @@
         """
 
-        if label != None:
+        if label is not None:
             tcrtl_label.SetValue(str(label))
-        if title != None:
+        if title is not None:
             tcrtl_title.SetValue(str(title))
 
@@ -1685,5 +1685,5 @@
         # I Believe this is no longer used now that we have removed the 
         # edit menu from the menubar - PDB July 12, 2015
-        if event != None:
+        if event is not None:
             event.Skip()
         pos = self.panel.notebook.GetSelection()
@@ -1697,5 +1697,5 @@
         # I Believe this is no longer used now that we have removed the 
         # edit menu from the menubar - PDB July 12, 2015
-        if event != None:
+        if event is not None:
             event.Skip()
         pos = self.panel.notebook.GetSelection()
@@ -1739,5 +1739,5 @@
             pos = self.panel.notebook.GetSelection()
             grid = self.panel.notebook.GetPage(pos)
-            has_data = (grid.data != None and grid.data != {})
+            has_data = (grid.data is not None and grid.data != {})
             self.open_excel_menu.Enable(has_data)
             self.save_menu.Enable(has_data)
@@ -1822,5 +1822,5 @@
                     path = dlg.GetPath()
                 dlg.Destroy()
-                if path != None:
+                if path is not None:
                     if self.parent is not None:
                         data = grid.get_grid_view()
@@ -2007,5 +2007,5 @@
                     path = dlg.GetPath()
                 dlg.Destroy()
-                if path != None:
+                if path is not None:
                     if self.parent is not None and  self.data is not None:
                         self.parent.write_batch_tofile(data=self.data,
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/AnnulusSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -498,5 +498,5 @@
         # Update locations
         self.outer_circle.update()
-        # if self.is_inside != None:
+        # if self.is_inside is not None:
         out = self._post_data()
         return out
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Arc.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Arc.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Arc.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -71,7 +71,7 @@
         x = []
         y = []
-        if theta1 != None:
+        if theta1 is not None:
             self.theta1 = theta1
-        if theta2 != None:
+        if theta2 is not None:
             self.theta2 = theta2
         while self.theta2 < self.theta1:
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Edge.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Edge.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Edge.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -63,9 +63,9 @@
         Draw the new roughness on the graph.
         """
-        if r1 != None:
+        if r1 is not None:
             self.r1 = r1
-        if r2 != None:
+        if r2 is not None:
             self.r2 = r2
-        if theta != None:
+        if theta is not None:
             self.theta = theta
         x1 = self.r1 * math.cos(self.theta)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter1D.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -183,10 +183,10 @@
         # So manually recode the size (=x_size) and compare here.
         # Massy code to work around:<
-        if self.parent._mgr != None:
+        if self.parent._mgr is not None:
             max_panel = self.parent._mgr.GetPane(self)
             if max_panel.IsMaximized():
                 self.parent._mgr.RestorePane(max_panel)
                 max_panel.Maximize()
-        if self.x_size != None:
+        if self.x_size is not None:
             if self.x_size == self.GetSize():
                 self.resizing = False
@@ -241,5 +241,5 @@
                 xval = float(active_ctrl.GetValue())
                 position = self.get_data_xy_vals(xval)
-                if position != None and not self.is_corfunc:
+                if position is not None and not self.is_corfunc:
                     wx.PostEvent(self.parent, StatusEvent(status=position))
             except:
@@ -342,5 +342,5 @@
                 self.q_ctrl = None
                 return
-        if self.ly != None and event.xdata != None:
+        if self.ly is not None and event.xdata is not None:
             # Selecting a new line if cursor lines are displayed already
             dqmin = math.fabs(event.xdata - self.ly[0].get_xdata())
@@ -364,5 +364,5 @@
             return
         # release a q range vline
-        if self.ly != None and not self.leftdown:
+        if self.ly is not None and not self.leftdown:
             for ly in self.ly:
                 ly.set_alpha(0.7)
@@ -372,5 +372,5 @@
         if ax is None or not hasattr(event, 'action'):
             return
-        end_drag = event.action != 'drag' and event.xdata != None
+        end_drag = event.action != 'drag' and event.xdata is not None
         nop = len(self.plots)
         pos_x, _ = float(event.xdata), float(event.ydata)
@@ -514,5 +514,5 @@
         ax = event.inaxes
         PlotPanel.onLeftDown(self, event)
-        if ax != None:
+        if ax is not None:
             try:
                 pos_x = float(event.xdata)  # / size_x
@@ -683,5 +683,5 @@
 
 
-        if self.position != None:
+        if self.position is not None:
             wx_id = ids.next()
             self._slicerpop.Append(wx_id, '&Add Text')
@@ -760,5 +760,5 @@
             default_name = default_name.split('.')[0]
         default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             self.parent.save_data1d(data, default_name)
 
@@ -778,5 +778,5 @@
             default_name = default_name.split('.')[0]
         # default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             self.parent.show_data1d(data, default_name)
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/Plotter2D.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -156,5 +156,5 @@
         PlotPanel.onLeftDown(self, event)
         ax = event.inaxes
-        if ax != None:
+        if ax is not None:
             # data coordinate position
             pos_x = "%8.3g" % event.xdata
@@ -264,5 +264,5 @@
         # control axis labels from the panel itself
         yname, yunits = data.get_yaxis()
-        if self.yaxis_label != None:
+        if self.yaxis_label is not None:
             yname = self.yaxis_label
             yunits = self.yaxis_unit
@@ -271,5 +271,5 @@
             self.yaxis_unit = yunits
         xname, xunits = data.get_xaxis()
-        if self.xaxis_label != None:
+        if self.xaxis_label is not None:
             xname = self.xaxis_label
             xunits = self.xaxis_unit
@@ -355,5 +355,5 @@
             slicerpop.Append(wx_id, '&Box Averaging in Qy')
             wx.EVT_MENU(self, wx_id, self.onBoxavgY)
-            if self.slicer != None:
+            if self.slicer is not None:
                 wx_id = ids.next()
                 slicerpop.Append(wx_id, '&Clear Slicer')
@@ -435,5 +435,5 @@
                 msg = "Add Text: Error. Check your property values..."
                 logger.error(msg)
-                if self.parent != None:
+                if self.parent is not None:
                     wx.PostEvent(self.parent, StatusEvent(status=msg))
         dial.Destroy()
@@ -629,5 +629,5 @@
 
         """
-        if self.slicer != None:
+        if self.slicer is not None:
             from SlicerParameters import SlicerParameterPanel
             dialog = SlicerParameterPanel(self, -1, "Slicer Parameters")
@@ -735,5 +735,5 @@
         """
         event_id = str(evt.GetId())
-        if self.parent != None:
+        if self.parent is not None:
             self._default_save_location = self.parent._default_save_location
         default_name = self.plots[self.graph.selected_plottable].label
@@ -759,5 +759,5 @@
             default_name = default_name.split('.')[0]
         #default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             self.parent.show_data2d(data, default_name)
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -362,5 +362,5 @@
         self.left_moving = left
         theta3 = 0
-        if phi != None:
+        if phi is not None:
             self.phi = phi
         if delta is None:
@@ -374,5 +374,5 @@
             self.theta = mline.theta + self.phi
 
-        if mline != None:
+        if mline is not None:
             if delta != 0:
                 self.theta2 = mline + delta
@@ -538,5 +538,5 @@
         """
 
-        if theta != None:
+        if theta is not None:
             self.theta = theta
         x1 = self.radius * math.cos(self.theta)
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/SimplePlot.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/SimplePlot.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/SimplePlot.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -87,5 +87,5 @@
             pos = (pos_x, pos_y + 5)
         self.PopupMenu(slicerpop, pos)
-        if self.scale != None:
+        if self.scale is not None:
             self.parent.scale2d = self.scale
 
@@ -106,5 +106,5 @@
             self.leftdown = True
             ax = event.inaxes
-            if ax != None:
+            if ax is not None:
                 self.xInit, self.yInit = event.xdata, event.ydata
                 try:
@@ -123,5 +123,5 @@
         """
         self.resizing = False
-        if self.x_size != None:
+        if self.x_size is not None:
             if self.x_size == self.GetSize():
                 self.canvas.set_resizing(self.resizing)
@@ -161,7 +161,7 @@
         self.plots[plot.name] = plot
         # Axis scales
-        if plot.xtransform != None:
+        if plot.xtransform is not None:
             self.xLabel = plot.xtransform
-        if plot.ytransform != None:
+        if plot.ytransform is not None:
             self.yLabel = plot.ytransform
         # Init graph
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxMask.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxMask.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxMask.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -123,5 +123,5 @@
                                          x2=self.vertical_lines.x2,
                                          width=self.vertical_lines.half_width)
-        # if self.is_inside != None:
+        # if self.is_inside is not None:
         out = self._post_data()
         return out
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSlicer.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -147,5 +147,5 @@
         y_max = math.fabs(self.horizontal_lines.y)
 
-        if nbins != None:
+        if nbins is not None:
             self.nbins = nbins
         if self.averager is None:
@@ -357,7 +357,7 @@
         """
         # # Reset x, y- coordinates if send as parameters
-        if x != None:
+        if x is not None:
             self.x = np.sign(self.x) * math.fabs(x)
-        if y != None:
+        if y is not None:
             self.y = np.sign(self.y) * math.fabs(y)
         # # Draw lines and markers
@@ -464,7 +464,7 @@
         """
         # # reset x, y -coordinates if given as parameters
-        if x != None:
+        if x is not None:
             self.x = np.sign(self.x) * math.fabs(x)
-        if y != None:
+        if y is not None:
             self.y = np.sign(self.y) * math.fabs(y)
         # # draw lines and markers
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/boxSum.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -353,7 +353,7 @@
             Draw the new roughness on the graph.
         """
-        if center_x != None:
+        if center_x is not None:
             self.x = center_x
-        if center_y != None:
+        if center_y is not None:
             self.y = center_y
         self.center_marker.set(xdata=[self.x], ydata=[self.y])
@@ -490,11 +490,11 @@
         """
         # # save the new height, witdh of the rectangle if given as a param
-        if width != None:
+        if width is not None:
             self.half_width = width
-        if height != None:
+        if height is not None:
             self.half_height = height
         # # If new  center coordinates are given draw the rectangle
         # #given these value
-        if center != None:
+        if center is not None:
             self.center_x = center.x
             self.center_y = center.y
@@ -511,11 +511,11 @@
             return
         # # if x1, y1, y2, y3 are given draw the rectangle with this value
-        if x1 != None:
+        if x1 is not None:
             self.x1 = x1
-        if x2 != None:
+        if x2 is not None:
             self.x2 = x2
-        if y1 != None:
+        if y1 is not None:
             self.y1 = y1
-        if y2 != None:
+        if y2 is not None:
             self.y2 = y2
         # # Draw 2 vertical lines and a marker
@@ -657,11 +657,11 @@
         """
         # # save the new height, witdh of the rectangle if given as a param
-        if width != None:
+        if width is not None:
             self.half_width = width
-        if height != None:
+        if height is not None:
             self.half_height = height
         # # If new  center coordinates are given draw the rectangle
         # #given these value
-        if center != None:
+        if center is not None:
             self.center_x = center.x
             self.center_y = center.y
@@ -679,11 +679,11 @@
             return
         # # if x1, y1, y2, y3 are given draw the rectangle with this value
-        if x1 != None:
+        if x1 is not None:
             self.x1 = x1
-        if x2 != None:
+        if x2 is not None:
             self.x2 = x2
-        if y1 != None:
+        if y1 is not None:
             self.y1 = y1
-        if y2 != None:
+        if y2 is not None:
             self.y2 = y2
         # # Draw 2 vertical lines and a marker
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/detector_dialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -155,7 +155,7 @@
         self.qmax_ctl.SetLabel(str(format_number(qmax)))
         self.beam_ctl.SetLabel(str(format_number(beam)))
-        if zmin != None:
+        if zmin is not None:
             self.zmin_ctl.SetValue(str(format_number(zmin)))
-        if zmax != None:
+        if zmax is not None:
             self.zmax_ctl.SetValue(str(format_number(zmax)))
 
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/masking.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -100,5 +100,5 @@
         wx.Dialog.__init__(self, parent, id=id, *args, **kwds)
 
-        if data != None:
+        if data is not None:
             # Font size
             kwds = []
@@ -235,5 +235,5 @@
         event.Skip()
         # from boxMask import BoxMask
-        if event != None:
+        if event is not None:
             self._on_clear_slicer(event)
         self.slicer_z += 1
@@ -336,5 +336,5 @@
         """
         # the case of liitle numbers of True points
-        if len(mask[mask]) < 10 and self.data != None:
+        if len(mask[mask]) < 10 and self.data is not None:
             self.ShowMessage()
             mask = copy.deepcopy(self.mask)
@@ -355,5 +355,5 @@
         temp_data.data[mask == False] = temp_mask[mask == False]
         self.plotpanel.clear()
-        if self.slicer != None:
+        if self.slicer is not None:
             self.slicer.clear()
             self.slicer = None
@@ -460,5 +460,5 @@
         wx.Dialog.__init__(self, parent, id=id, *args, **kwds)
 
-        if data != None:
+        if data is not None:
             # Font size
             kwds = []
@@ -710,5 +710,5 @@
         Status msg
         """
-        if self.parent.parent.parent != None:
+        if self.parent.parent.parent is not None:
             wx.PostEvent(self.parent.parent.parent,
                          StatusEvent(status=msg, type=type))
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/profile_dialog.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/profile_dialog.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/profile_dialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -44,5 +44,5 @@
         wx.Dialog.__init__(self, parent, id=id, *args, **kwds)
 
-        if data != None:
+        if data is not None:
             #Font size
             kwds = []
@@ -284,5 +284,5 @@
             default_name = default_name.split('.')[0]
         default_name += "_out"
-        if self.parent != None:
+        if self.parent is not None:
             # What an ancestor!
             fit_panel = self.parent.parent.parent
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/sector_mask.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -96,5 +96,5 @@
             self.left_line.update(phi=self.right_line.phi, delta=None,
                                   mline=self.main_line, side=True, left=False)
-        #if self.is_inside != None:
+        #if self.is_inside is not None:
         out = self._post_data()
         return out
Index: src/sas/sasgui/guiframe/local_perspectives/plotting/slicerpanel.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/plotting/slicerpanel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/local_perspectives/plotting/slicerpanel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -114,5 +114,5 @@
         self.Layout()
         psizer = self.parent.GetSizer()
-        if psizer != None:
+        if psizer is not None:
             psizer.Layout()
 
Index: src/sas/sasgui/guiframe/plugin_base.py
===================================================================
--- src/sas/sasgui/guiframe/plugin_base.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/plugin_base.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -161,5 +161,5 @@
         Sets default frame config
         """
-        if self.frame != None:
+        if self.frame is not None:
             self.frame.EnableCloseButton(False)
             self.frame.Show(False)
@@ -230,5 +230,5 @@
         old_frame = None
         old_persp = self.parent.get_current_perspective()
-        if old_persp != None:
+        if old_persp is not None:
             old_frame = old_persp.get_frame()
         self.parent.check_multimode(self)
@@ -236,6 +236,6 @@
         self.parent.set_perspective(self.perspective)
 
-        if self.frame != None:
-            if old_frame != None:
+        if self.frame is not None:
+            if old_frame is not None:
                 pos_x, pos_y = old_frame.GetPositionTuple()
                 self.frame.SetPosition((pos_x, pos_y))
Index: src/sas/sasgui/guiframe/startup_configuration.py
===================================================================
--- src/sas/sasgui/guiframe/startup_configuration.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/guiframe/startup_configuration.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -208,5 +208,5 @@
         for key, item in strings.iteritems():
             if (key == 'DEFAULT_PERSPECTIVE') or \
-                (key == 'DEFAULT_OPEN_FOLDER' and item != None):
+                (key == 'DEFAULT_OPEN_FOLDER' and item is not None):
                 out_f.write("%s = \"%s\"\n" % (key,str(item)))
             else:
Index: src/sas/sasgui/guiframe/utils.py
===================================================================
--- src/sas/sasgui/guiframe/utils.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/guiframe/utils.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -89,5 +89,5 @@
     list = []
     for item in mylist:
-        if re.search(separator,item)!= None:
+        if re.search(separator,item)is not None:
             if n > 0:
                 word = re.split(separator, item, int(n))
Index: src/sas/sasgui/perspectives/calculator/data_operator.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/data_operator.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/data_operator.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -182,5 +182,5 @@
         On data name typing
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         item = event.GetEventObject()
@@ -264,5 +264,5 @@
         self.put_text_pic(self.data2_pic, content=str(val))
         self.check_data_inputs()
-        if self.output != None:
+        if self.output is not None:
             self.output.name = str(self.data_namectr.GetValue())
         self.draw_output(self.output)
@@ -284,5 +284,5 @@
             self.data1_pic.add_image(data)
         self.check_data_inputs()
-        if self.output != None:
+        if self.output is not None:
             self.output.name = str(self.data_namectr.GetValue())
         self.draw_output(self.output)
@@ -297,5 +297,5 @@
         self.put_text_pic(self.operator_pic, content=text)
         self.check_data_inputs()
-        if self.output != None:
+        if self.output is not None:
             self.output.name = str(self.data_namectr.GetValue())
         self.draw_output(self.output)
@@ -329,10 +329,10 @@
                 data = None
             item.SetClientData(pos, data)
-            if data != None:
+            if data is not None:
                 self.check_data_inputs()
 
             self.put_text_pic(self.data2_pic, content)
 
-        if self.output != None:
+        if self.output is not None:
             self.output.name = str(self.data_namectr.GetValue())
         self.draw_output(self.output)
@@ -472,5 +472,5 @@
         On Focus at this window
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         self._data = self.get_datalist()
@@ -534,6 +534,6 @@
         ids = self._data.keys()
         for id in ids:
-            if id != None:
-                if self._data[id].data != None:
+            if id is not None:
+                if self._data[id].data is not None:
                     dnames.append(self._data[id].data.name)
                 else:
@@ -546,5 +546,5 @@
             for datastate in val_list:
                 data = datastate.data
-                if data != None:
+                if data is not None:
                     name = data.name
                     pos1 = self.data1_cbox.Append(str(name))
@@ -577,5 +577,5 @@
         """
         data_manager = self.parent.parent.get_data_manager()
-        if data_manager != None:
+        if data_manager is not None:
             return  data_manager.get_all_data()
         else:
@@ -983,5 +983,5 @@
         On close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.data_operator_frame = None
         self.panel.disconnect_panels()
Index: src/sas/sasgui/perspectives/calculator/density_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/density_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/density_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -438,5 +438,5 @@
         On close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.cal_md_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -61,5 +61,5 @@
     Add icon in the frame
     """
-    if parent != None:
+    if parent is not None:
         if hasattr(frame, "IsIconized"):
             if not frame.IsIconized():
@@ -74,10 +74,10 @@
     Set_error dialog
     """
-    if item != None:
+    if item is not None:
         item.SetBackgroundColour("pink")
         item.Refresh()
     if show_msg:
         msg = "Error: wrong (or out of range) value entered."
-        if panel.parent.parent != None:
+        if panel.parent.parent is not None:
             wx.PostEvent(panel.parent.parent,
                      StatusEvent(status=msg, info='Error'))
@@ -425,5 +425,5 @@
         """
         unit = 'sec'
-        if self.time_text != None:
+        if self.time_text is not None:
             self.time_text.SetForegroundColour('black')
             etime = self.estimate_ctime()
@@ -633,5 +633,5 @@
         self.model.set_sld_data(self.sld_data)
 
-        self.draw_button.Enable(self.sld_data != None)
+        self.draw_button.Enable(self.sld_data is not None)
         wx.CallAfter(self.parent.set_sld_data, self.sld_data)
         self._update_model_params()
@@ -855,5 +855,5 @@
         """
         flag = self.parent.check_omfpanel_inputs()
-        if not flag and self.parent.parent != None:
+        if not flag and self.parent.parent is not None:
             infor = 'Error'
             msg = 'Error: Wrong inputs in the SLD info panel.'
@@ -865,5 +865,5 @@
         self.sld_data = self.parent.get_sld_from_omf()
         if self.sld_data is None:
-            if self.parent.parent != None:
+            if self.parent.parent is not None:
                 infor = 'Error'
                 msg = 'Error: No data has been selected.'
@@ -971,5 +971,5 @@
         self.bt_compute.SetLabel(label)
         self.bt_compute.SetToolTipString(label)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             wx.PostEvent(self.parent.parent,
                              StatusEvent(status=msg, type=type))
@@ -995,5 +995,5 @@
         for ind in range(len(input[0])):
             if self.is_avg:
-                if ind % 1 == 0 and update != None:
+                if ind % 1 == 0 and update is not None:
                     update()
                     time.sleep(0.1)
@@ -1002,5 +1002,5 @@
                 out = np.append(out, outi)
             else:
-                if ind % 50 == 0  and update != None:
+                if ind % 50 == 0  and update is not None:
                     update()
                     time.sleep(0.001)
@@ -1151,5 +1151,5 @@
         new_plot.label = new_plot.id
         #theory_data = deepcopy(new_plot)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             self.parent.parent.update_theory(data_id=new_plot.id,
                                            theory=new_plot,
@@ -1210,5 +1210,5 @@
         new_plot.label = new_plot.id
         #theory_data = deepcopy(new_plot)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             self.parent.parent.update_theory(data_id=data.id,
                                            theory=new_plot,
@@ -1299,5 +1299,5 @@
                 mz = sld_sets[key]
             else:
-                if sld_sets[key] != None:
+                if sld_sets[key] is not None:
                     self.sld_data.set_sldn(sld_sets[key])
         self.sld_data.set_sldms(mx, my, mz)
@@ -1347,5 +1347,5 @@
             infor = 'Error'
             #logger.error(msg)
-            if self.parent.parent != None:
+            if self.parent.parent is not None:
                 # inform msg to wx
                 wx.PostEvent(self.parent.parent,
@@ -1690,5 +1690,5 @@
             data = self.parent.get_sld_data()
             fName = os.path.splitext(path)[0] + '.' + extension.split('.')[-1]
-            if data != None:
+            if data is not None:
                 try:
                     reader.write(fName, data)
@@ -1699,5 +1699,5 @@
                 infor = 'Error'
                 #logger.error(msg)
-                if self.parent.parent != None:
+                if self.parent.parent is not None:
                     # inform msg to wx
                     wx.PostEvent(self.parent.parent,
@@ -1708,5 +1708,5 @@
             msg = "Error occurred while saving. "
             infor = 'Error'
-            if self.parent.parent != None:
+            if self.parent.parent is not None:
                 # inform msg to wx
                 wx.PostEvent(self.parent.parent,
@@ -1718,5 +1718,5 @@
         """
         flag = True
-        if event != None:
+        if event is not None:
             event.Skip()
             ctl = event.GetEventObject()
@@ -1758,5 +1758,5 @@
         """
         flag = True
-        if event != None:
+        if event is not None:
             event.Skip()
             ctl = event.GetEventObject()
@@ -1974,5 +1974,5 @@
         Send full draw to gui frame
         """
-        if self.parent != None:
+        if self.parent is not None:
             self.parent.set_schedule_full_draw(panel, func)
 
@@ -2050,5 +2050,5 @@
         Close
         """
-        if self.base != None:
+        if self.base is not None:
             self.base.gen_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/image_viewer.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -70,5 +70,5 @@
                 plot_frame.SetTitle('Picture -- %s --' % basename)
                 plot_frame.Show(True)
-                if parent != None:
+                if parent is not None:
                     parent.put_icon(plot_frame)
             except:
@@ -403,5 +403,5 @@
         output.is_data = True
         output = reader2D_converter(output)
-        if self.base != None:
+        if self.base is not None:
             data = self.base.create_gui_data(output, self.title)
             self.base.add_data({data.id:data})
Index: src/sas/sasgui/perspectives/calculator/kiessig_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/kiessig_calculator_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/kiessig_calculator_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -190,5 +190,5 @@
         """
         # skip for another event
-        if event != None:
+        if event is not None:
             event.Skip()
         dq = self.dq_name_tcl.GetValue()
@@ -237,5 +237,5 @@
         Close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.kiessig_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/model_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -387,5 +387,5 @@
         self._msg_box.SetLabel(msg)
         self._msg_box.SetForegroundColour(color)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             from sas.sasgui.guiframe.events import StatusEvent
             wx.PostEvent(self.parent.parent, StatusEvent(status=msg,
@@ -478,5 +478,5 @@
         """
         # For Mac
-        if event != None:
+        if event is not None:
             event.Skip()
         item = event.GetEventObject()
@@ -979,5 +979,5 @@
 
         # Prepare the messagebox
-        if self.base != None and not msg:
+        if self.base is not None and not msg:
             self.base.update_custom_combo()
             # Passed exception in import test as it will fail for sasmodels.sasview_model class
@@ -1002,5 +1002,5 @@
         self._msg_box.SetForegroundColour(color)
         # Send msg to the top window
-        if self.base != None:
+        if self.base is not None:
             from sas.sasgui.guiframe.events import StatusEvent
             wx.PostEvent(self.base.parent,
@@ -1190,5 +1190,5 @@
         """
         self.Show(False)
-        #if self.parent != None:
+        #if self.parent is not None:
         #    self.parent.new_model_frame = None
         #self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/pyconsole.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/pyconsole.py	(revision ddbac6633a1e7ec42b99bb39f46b9889ccf26084)
+++ src/sas/sasgui/perspectives/calculator/pyconsole.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -118,7 +118,7 @@
         self.panel = panel
         self._add_menu()
-        if filename != None:
+        if filename is not None:
             dataDir = os.path.dirname(filename)
-        elif self.parent != None:
+        elif self.parent is not None:
             dataDir = self.parent._default_save_location
         else:
@@ -128,5 +128,5 @@
 
         # See if there is a corresponding C file
-        if filename != None:
+        if filename is not None:
             c_filename = os.path.splitext(filename)[0] + ".c"
             if os.path.isfile(c_filename):
@@ -244,5 +244,5 @@
 
         # See if there is a corresponding C file
-        if result.path != None:
+        if result.path is not None:
             c_filename = os.path.splitext(result.path)[0] + ".c"
             if os.path.isfile(c_filename):
@@ -303,5 +303,5 @@
 
         # Update plugin model list in fitpage combobox
-        if success and self._manager != None and self.panel != None:
+        if success and self._manager is not None and self.panel is not None:
             self._manager.set_edit_menu_helper(self.parent)
             wx.CallAfter(self._manager.update_custom_combo)
@@ -337,5 +337,5 @@
         Close event
         """
-        if self.base != None:
+        if self.base is not None:
             self.base.py_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -656,5 +656,5 @@
             event.Skip()
         # Clear the plot
-        if self.image != None:
+        if self.image is not None:
             self.image.clf()
             # reset image
@@ -674,5 +674,5 @@
         """
         # Skip event for next event
-        if event != None:
+        if event is not None:
             event.Skip()
             msg = "Please Check your input values "
@@ -708,5 +708,5 @@
             # Validate the wave inputs
             wave_input = self._validate_q_input(wavelength, wavelength_spread)
-            if wave_input != None:
+            if wave_input is not None:
                 wavelength, wavelength_spread = wave_input
 
@@ -757,5 +757,5 @@
         # Validate the q inputs
         q_input = self._validate_q_input(self.qx, self.qy)
-        if q_input != None:
+        if q_input is not None:
             self.qx, self.qy = q_input
 
@@ -769,5 +769,5 @@
 
         # Compute the resolution
-        if self.image != None:
+        if self.image is not None:
             #_pylab_helpers.Gcf.set_active(self.fm)
             _pylab_helpers.Gcf.figs = {}
@@ -982,5 +982,5 @@
         """
         # skip for another event
-        if event != None:
+        if event is not None:
             event.Skip()
         # init resolution_calculator
@@ -1148,5 +1148,5 @@
         Set the detector coordinate for sigmas to x-y coordinate
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         # Set the coordinate in Cartesian
@@ -1160,5 +1160,5 @@
         Set the detector coordinate for sigmas to polar coordinate
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         # Set the coordinate in polar
@@ -1181,5 +1181,5 @@
         self.compute_button.SetLabel(label)
         self.compute_button.SetToolTipString(label)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             wx.PostEvent(self.parent.parent,
                          StatusEvent(status=msg, type=type))
@@ -1196,5 +1196,5 @@
         On source combobox selection
         """
-        if event != None:
+        if event is not None:
             combo = event.GetEventObject()
             event.Skip()
@@ -1215,5 +1215,5 @@
         On source color combobox selection
         """
-        if event != None:
+        if event is not None:
             #combo = event.GetEventObject()
             event.Skip()
@@ -1253,5 +1253,5 @@
         On spectrum ComboBox event
         """
-        if event != None:
+        if event is not None:
             #combo = event.GetEventObject()
             event.Skip()
@@ -1348,5 +1348,5 @@
         """
         _pylab_helpers.Gcf.figs = {}
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.cal_res_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/sld_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/sld_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/sld_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -504,5 +504,5 @@
         On close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.sld_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -303,5 +303,5 @@
         Close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.cal_slit_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/corfunc/corfunc_panel.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision 1dc8ec9bbfd72210acd49400626adfb8eb6c3c87)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -320,5 +320,5 @@
         path = None
         default_save_location = os.getcwd()
-        if self._manager.parent != None:
+        if self._manager.parent is not None:
             default_save_location = self._manager.parent.get_save_location()
 
@@ -329,5 +329,5 @@
             path = dlg.GetPath()
             default_save_location = os.path.dirname(path)
-            if self._manager.parent != None:
+            if self._manager.parent is not None:
                 self._manager.parent._default_save_location = default_save_location
         else:
Index: src/sas/sasgui/perspectives/corfunc/corfunc_state.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -293,5 +293,5 @@
                 corstate = self._parse_state(entry)
 
-                if corstate != None:
+                if corstate is not None:
                     sas_entry.meta_data['corstate'] = corstate
                     sas_entry.filename = corstate.file
Index: src/sas/sasgui/perspectives/fitting/batchfitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/batchfitpage.py	(revision ee4b3cbc1850f87671526c54335834959ffdfe84)
+++ src/sas/sasgui/perspectives/fitting/batchfitpage.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -200,8 +200,8 @@
 #         self.state.formfactorcombobox = self.formfactorbox.GetCurrentSelection()
 #       
-#         if self.model != None:
+#         if self.model is not None:
 #             self._set_copy_flag(True)
 #             self._set_paste_flag(True)
-#             if self.data != None:
+#             if self.data is not None:
 #                 self._set_bookmark_flag(False)
 #                 self._keep.Enable(False)
@@ -225,5 +225,5 @@
 # 
 #             
-#         if event != None:
+#         if event is not None:
 #             ## post state to fit panel
 #             new_event = PageInfoEvent(page = self)
@@ -254,5 +254,5 @@
 #         is_modified = False
 # 
-#         if self.model != None:           
+#         if self.model is not None:
 #             ##Check the values
 #             self._check_value_enter( self.fittable_param)
@@ -291,5 +291,5 @@
 #         else:
 #             #self.btFit.Enable(True)
-#             if self._is_2D() and  self.data != None:
+#             if self._is_2D() and  self.data is not None:
 #                 self.btEditMask.Enable(True)
 # 
@@ -335,5 +335,5 @@
 #             self._set_save_flag(False)
 #         else:
-#             if self.model != None:
+#             if self.model is not None:
 #                 self._set_bookmark_flag(False)
 #                 self._keep.Enable(False)
Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -302,5 +302,5 @@
         Make new model
         """
-        if self.new_model_frame != None:
+        if self.new_model_frame is not None:
             self.new_model_frame.Show(False)
             self.new_model_frame.Show(True)
@@ -441,5 +441,5 @@
             wx.PostEvent(self.parent, StatusEvent(status=msg))
 
-        if page != None:
+        if page is not None:
             return set_focus_page(page)
         if caption == "Const & Simul Fit":
@@ -634,5 +634,5 @@
             state = self.temp_state[self.state_index]
             #panel state should have model selection to set_state
-            if state.formfactorcombobox != None:
+            if state.formfactorcombobox is not None:
                 #set state
                 data = self.parent.create_gui_data(state.data)
@@ -1016,5 +1016,5 @@
                 return False
         ## If a thread is already started, stop it
-        #if self.calc_fit!= None and self.calc_fit.isrunning():
+        #if self.calc_fitis not None and self.calc_fit.isrunning():
         #    self.calc_fit.stop()
         msg = "Fitting is in progress..."
@@ -1106,5 +1106,5 @@
             page = self.fit_panel.add_empty_page()
             # add data associated to the page created
-            if page != None:
+            if page is not None:
                 evt = StatusEvent(status="Page Created", info="info")
                 wx.PostEvent(self.parent, evt)
@@ -1216,5 +1216,5 @@
             for item in param:
                 ## check if constraint
-                if item[0] != None and item[1] != None:
+                if item[0] is not None and item[1] is not None:
                     listOfConstraint.append((item[0], item[1]))
         new_model = model
@@ -1457,5 +1457,5 @@
         cell.value = index
 
-        if theory_data != None:
+        if theory_data is not None:
             #Suucessful fit
             theory_data.id = wx.NewId()
@@ -1544,5 +1544,5 @@
                     #(CallAfter is important to MAC)
                     try:
-                        #if res != None:
+                        #if res is not None:
                         wx.CallAfter(cpage.onsetValues, res.fitness,
                                      res.param_list,
@@ -2010,5 +2010,5 @@
             if index is None:
                 index = np.ones(len(data_copy.data), dtype=bool)
-            if weight != None:
+            if weight is not None:
                 data_copy.err_data = weight
             # get rid of zero error points
@@ -2025,5 +2025,5 @@
             if index is None:
                 index = np.ones(len(data_copy.y), dtype=bool)
-            if weight != None:
+            if weight is not None:
                 data_copy.dy = weight
             if data_copy.dy is None or data_copy.dy == []:
Index: src/sas/sasgui/perspectives/fitting/model_thread.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -56,5 +56,5 @@
             self.qmin = 0
         if self.qmax is None:
-            if self.data != None:
+            if self.data is not None:
                 newx = math.pow(max(math.fabs(self.data.xmax),
                                    math.fabs(self.data.xmin)), 2)
Index: src/sas/sasgui/perspectives/fitting/report_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/report_dialog.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/fitting/report_dialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -39,5 +39,5 @@
         self.nimages = len(self.report_list[2])
 
-        if self.report_list[2] != None:
+        if self.report_list[2] is not None:
             # put image path in the report string
             if len(self.report_list[2]) == 1:
Index: src/sas/sasgui/perspectives/invariant/invariant.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/invariant/invariant.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -331,5 +331,5 @@
         new_plot.title = self.__data.title
         # Save theory_data in a state
-        if data != None:
+        if data is not None:
             name_head = name.split('-')
             if name_head[0] == 'Low':
@@ -353,5 +353,5 @@
 
         # Save data in a state: but seems to never happen
-        if new_plot != None:
+        if new_plot is not None:
             self.invariant_panel.state.data = copy.deepcopy(new_plot)
         wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot,
Index: src/sas/sasgui/perspectives/invariant/invariant_panel.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -609,5 +609,5 @@
             wx.PostEvent(self.parent, StatusEvent(status=msg))
         # set a state for this computation for saving
-        elif event != None:
+        elif event is not None:
             self._set_compute_state(state='compute')
             self._set_bookmark_flag(True)
@@ -718,5 +718,5 @@
         self._set_preview_flag(True)
 
-        if event != None:
+        if event is not None:
             self._set_preview_flag(True)
             self._set_save_flag(True)
@@ -1022,5 +1022,5 @@
         self.state.saved_state['state_num'] = 0
         self.state.saved_state['compute_num'] = 0
-        if self._data != None:
+        if self._data is not None:
             self.state.saved_state['file'] = str(self._data.name)
         else:
@@ -1244,5 +1244,5 @@
         # Ask the user the location of the file to write to.
         path = None
-        if self.parent != None:
+        if self.parent is not None:
             self._default_save_location = self.parent.get_save_location()
         if self._default_save_location is None:
@@ -1254,5 +1254,5 @@
             path = dlg.GetPath()
             self._default_save_location = os.path.dirname(path)
-            if self.parent != None:
+            if self.parent is not None:
                 self.parent._default_save_location = \
                     self._default_save_location
@@ -1393,5 +1393,5 @@
         Enable and disable the power value editing
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
@@ -1411,5 +1411,5 @@
         Disable or enable some button if the user enable low q extrapolation
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
@@ -1438,5 +1438,5 @@
         Enable editing power law section at low q range
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
@@ -1537,5 +1537,5 @@
         Enable and disable the power value editing
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
 
@@ -1554,5 +1554,5 @@
         Disable or enable some button if the user enable high q extrapolation
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
Index: src/sas/sasgui/perspectives/invariant/invariant_state.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -281,5 +281,5 @@
         # File name
         element = newdoc.createElement("filename")
-        if self.file != None and self.file != '':
+        if self.file is not None and self.file != '':
             element.appendChild(newdoc.createTextNode(str(self.file)))
         else:
@@ -734,5 +734,5 @@
                     # invstate could be None when .svs file is loaded
                     # in this case, skip appending to output
-                    if invstate != None:
+                    if invstate is not None:
                         sas_entry.meta_data['invstate'] = invstate
                         sas_entry.filename = invstate.file
Index: src/sas/sasgui/perspectives/pr/inversion_panel.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -271,5 +271,5 @@
         # Ask the user the location of the file to write to.
         path = None
-        if self.parent != None:
+        if self.parent is not None:
             self._default_save_location = self.parent._default_save_location
         dlg = wx.FileDialog(self, "Choose a file",
@@ -279,5 +279,5 @@
             path = dlg.GetPath()
             self._default_save_location = os.path.dirname(path)
-            if self.parent != None:
+            if self.parent is not None:
                 self.parent._default_save_location = self._default_save_location
         else:
Index: src/sas/sasgui/perspectives/pr/inversion_state.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_state.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/pr/inversion_state.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -473,5 +473,5 @@
                     #prstate could be None when .svs file is loaded
                     #in this case, skip appending to output
-                    if prstate != None:
+                    if prstate is not None:
                         sas_entry.meta_data['prstate'] = prstate
                         sas_entry.filename = prstate.file
Index: src/sas/sasgui/perspectives/pr/pr.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sasgui/perspectives/pr/pr.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -721,5 +721,5 @@
 
         # If a thread is already started, stop it
-        if self.calc_thread != None and self.calc_thread.isrunning():
+        if self.calc_thread is not None and self.calc_thread.isrunning():
             self.calc_thread.stop()
             ## stop just raises the flag -- the thread is supposed to
@@ -1129,5 +1129,5 @@
 
         # If a thread is already started, stop it
-        if self.estimation_thread != None and \
+        if self.estimation_thread is not None and \
             self.estimation_thread.isrunning():
             self.estimation_thread.stop()
@@ -1159,5 +1159,5 @@
 
         # If a thread is already started, stop it
-        if self.estimation_thread != None and self.estimation_thread.isrunning():
+        if self.estimation_thread is not None and self.estimation_thread.isrunning():
             self.estimation_thread.stop()
             ## stop just raises the flag -- the thread is supposed to
Index: src/sas/sasgui/perspectives/simulation/simulation.py
===================================================================
--- src/sas/sasgui/perspectives/simulation/simulation.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/simulation/simulation.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -213,5 +213,5 @@
         
         # If a computation thread is running, stop it
-        if self.calc_thread_1D != None and self.calc_thread_1D.isrunning():
+        if self.calc_thread_1D is not None and self.calc_thread_1D.isrunning():
             self.calc_thread_1D.stop()
             ## stop just raises the flag -- the thread is supposed to 
Index: src/sas/sasgui/plottools/PlotPanel.py
===================================================================
--- src/sas/sasgui/plottools/PlotPanel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/plottools/PlotPanel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -154,9 +154,9 @@
         self.selectedText = None
         #User scale
-        if xtransform != None:
+        if xtransform is not None:
             self.xLabel = xtransform
         else:
             self.xLabel = "log10(x)"
-        if ytransform != None:
+        if ytransform is not None:
             self.yLabel = ytransform
         else:
@@ -360,5 +360,5 @@
                     return
 
-            if ax != None:
+            if ax is not None:
                 self.xInit, self.yInit = event.xdata, event.ydata
                 try:
@@ -392,5 +392,5 @@
         Set legend alpha
         """
-        if self.legend != None:
+        if self.legend is not None:
             self.legend.legendPatch.set_alpha(alpha)
 
@@ -461,5 +461,5 @@
             # User has clicked on text and is dragging
             ax = event.inaxes
-            if ax != None:
+            if ax is not None:
                 # Only move text if mouse is within axes
                 self.selectedText.set_position((event.xdata, event.ydata))
@@ -476,5 +476,5 @@
         if self.leftdown == True and self.mousemotion == True:
             ax = event.inaxes
-            if ax != None:  # the dragging is perform inside the figure
+            if ax is not None:  # the dragging is perform inside the figure
                 self.xFinal, self.yFinal = event.xdata, event.ydata
                 # Check whether this is the first point
@@ -576,5 +576,5 @@
         step = event.step
 
-        if ax != None:
+        if ax is not None:
             # Event occurred inside a plotting area
             lo, hi = ax.get_xlim()
@@ -935,5 +935,5 @@
         # reset postion
         self.position = None
-        if self.graph.selected_plottable != None:
+        if self.graph.selected_plottable is not None:
             self.graph.selected_plottable = None
 
@@ -959,5 +959,5 @@
                                               prop=FontProperties(size=10),
                                               loc=self.legendLoc)
-            if self.legend != None:
+            if self.legend is not None:
                 self.legend.set_picker(self.legend_picker)
                 self.legend.set_axes(self.subplot)
@@ -989,5 +989,5 @@
                                           prop=FontProperties(size=10),
                                           loc=self.legendLoc)
-        if self.legend != None:
+        if self.legend is not None:
             self.legend.set_picker(self.legend_picker)
             self.legend.set_axes(self.subplot)
@@ -1010,5 +1010,5 @@
         pos_x = 0
         pos_y = 0
-        if self.position != None:
+        if self.position is not None:
             pos_x, pos_y = self.position
         else:
@@ -1035,5 +1035,5 @@
                     self.subplot.figure.canvas.draw_idle()
             except:
-                if self.parent != None:
+                if self.parent is not None:
                     msg = "Add Text: Error. Check your property values..."
                     wx.PostEvent(self.parent, StatusEvent(status=msg))
@@ -1069,5 +1069,5 @@
             self.xaxis_tick = xaxis_font
 
-        if self.data != None:
+        if self.data is not None:
             # 2D
             self.xaxis(self.xaxis_label, self.xaxis_unit, \
@@ -1116,5 +1116,5 @@
             self.yaxis_tick = yaxis_font
 
-        if self.data != None:
+        if self.data is not None:
             # 2D
             self.yaxis(self.yaxis_label, self.yaxis_unit, \
@@ -1155,5 +1155,5 @@
                 label_temp = textdial.getText()
                 if label_temp.count("\%s" % "\\") > 0:
-                    if self.parent != None:
+                    if self.parent is not None:
                         msg = "Add Label: Error. Can not use double '\\' "
                         msg += "characters..."
@@ -1162,5 +1162,5 @@
                     label = label_temp
             except:
-                if self.parent != None:
+                if self.parent is not None:
                     msg = "Add Label: Error. Check your property values..."
                     wx.PostEvent(self.parent, StatusEvent(status=msg))
@@ -1180,5 +1180,5 @@
         num_text = len(self.textList)
         if num_text < 1:
-            if self.parent != None:
+            if self.parent is not None:
                 msg = "Remove Text: Nothing to remove.  "
                 wx.PostEvent(self.parent, StatusEvent(status=msg))
@@ -1190,9 +1190,9 @@
             text_remove = txt.get_text()
             txt.remove()
-            if self.parent != None:
+            if self.parent is not None:
                 msg = "Removed Text: '%s'. " % text_remove
                 wx.PostEvent(self.parent, StatusEvent(status=msg))
         except:
-            if self.parent != None:
+            if self.parent is not None:
                 msg = "Remove Text: Error occurred. "
                 wx.PostEvent(self.parent, StatusEvent(status=msg))
@@ -1250,5 +1250,5 @@
                                         prop=FontProperties(size=10),
                                         loc=self.legendLoc)
-                if self.legend != None:
+                if self.legend is not None:
                     self.legend.set_picker(self.legend_picker)
                     self.legend.set_axes(self.subplot)
@@ -1279,5 +1279,5 @@
         if font:
             self.subplot.set_xlabel(label, fontproperties=font, color=color)
-            if t_font != None:
+            if t_font is not None:
                 for tick in self.subplot.xaxis.get_major_ticks():
                     tick.label.set_fontproperties(t_font)
@@ -1300,5 +1300,5 @@
         if font:
             self.subplot.set_ylabel(label, fontproperties=font, color=color)
-            if t_font != None:
+            if t_font is not None:
                 for tick_label in self.subplot.get_yticklabels():
                     tick_label.set_fontproperties(t_font)
@@ -1327,5 +1327,5 @@
         from plottable_interactor import PointInteractor
         p = PointInteractor(self, self.subplot, zorder=zorder, id=id)
-        if p.markersize != None:
+        if p.markersize is not None:
             markersize = p.markersize
         p.points(x, y, dx=dx, dy=dy, color=color, symbol=symbol, zorder=zorder,
@@ -1363,7 +1363,7 @@
 
         # Convert tuple (lo,hi) to array [(x-lo),(hi-x)]
-        if dx != None and type(dx) == type(()):
+        if dx is not None and type(dx) == type(()):
             dx = nx.vstack((x - dx[0], dx[1] - x)).transpose()
-        if dy != None and type(dy) == type(()):
+        if dy is not None and type(dy) == type(()):
             dy = nx.vstack((y - dy[0], dy[1] - y)).transpose()
         if dx is None and dy is None:
@@ -1772,5 +1772,5 @@
             # control axis labels from the panel itself
             yname, yunits = item.get_yaxis()
-            if self.yaxis_label != None:
+            if self.yaxis_label is not None:
                 yname = self.yaxis_label
                 yunits = self.yaxis_unit
@@ -1779,5 +1779,5 @@
                 self.yaxis_unit = yunits
             xname, xunits = item.get_xaxis()
-            if self.xaxis_label != None:
+            if self.xaxis_label is not None:
                 xname = self.xaxis_label
                 xunits = self.xaxis_unit
Index: src/sas/sasgui/plottools/TextDialog.py
===================================================================
--- src/sas/sasgui/plottools/TextDialog.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/plottools/TextDialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -41,5 +41,5 @@
         style_box = wx.BoxSizer(wx.HORIZONTAL)
         # tcA
-        if unit != None:
+        if unit is not None:
             styles = wx.TAB_TRAVERSAL
             height = -1
@@ -130,5 +130,5 @@
                        0, wx.TOP, 5)
         family_box.Add(self.font_size, 0, 0)
-        if unit_box != None:
+        if unit_box is not None:
             family_box.Add((_BOX_WIDTH / 2, -1))
             family_box.Add(tick_label_text, 0, 0)
@@ -159,5 +159,5 @@
         text_box.Add(self.text_string)
         vbox.Add(text_box, 0, wx.EXPAND, 15)
-        if unit_box != None:
+        if unit_box is not None:
             unit_box.Add(unit_text, 0, 0)
             unit_box.Add(self.unit_ctrl, 0, 0)
Index: src/sas/sasgui/plottools/arrow3d.py
===================================================================
--- src/sas/sasgui/plottools/arrow3d.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/plottools/arrow3d.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -29,5 +29,5 @@
         self.base = base
 
-        if base != None:
+        if base is not None:
             # To turn the updating off during dragging
             base.canvas.mpl_connect('button_press_event', self.on_left_down)
Index: src/sas/sasgui/plottools/canvas.py
===================================================================
--- src/sas/sasgui/plottools/canvas.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/plottools/canvas.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -153,5 +153,5 @@
         """
         self.panel.subplot.grid(self.panel.grid_on)
-        if self.panel.legend != None and self.panel.legend_pos_loc:
+        if self.panel.legend is not None and self.panel.legend_pos_loc:
             self.panel.legend._loc = self.panel.legend_pos_loc
         self.idletimer.Restart(5, *args, **kwargs)  # Delay by 5 ms
Index: src/sas/sasgui/plottools/fitDialog.py
===================================================================
--- src/sas/sasgui/plottools/fitDialog.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/plottools/fitDialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -579,5 +579,5 @@
                     self.I0_tctr.SetValue(format_number(val))
             if self.Rgerr_tctr.IsShown():
-                if rg != None and rg != 0:
+                if rg is not None and rg != 0:
                     value = format_number(3 * float(errA) / (2 * rg))
                 else:
@@ -593,5 +593,5 @@
                 self.Diameter_tctr.SetValue(value)
             if self.Diametererr_tctr.IsShown():
-                if rg != None and rg != 0:
+                if rg is not None and rg != 0:
                     value = format_number(8 * float(errA) / _diam)
                 else:
Index: src/sas/sasgui/plottools/plottable_interactor.py
===================================================================
--- src/sas/sasgui/plottools/plottable_interactor.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sasgui/plottools/plottable_interactor.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -56,7 +56,7 @@
             markersize = self.markersize
         # Convert tuple (lo,hi) to array [(x-lo),(hi-x)]
-        if dx != None and type(dx) == type(()):
+        if dx is not None and type(dx) == type(()):
             dx = nx.vstack((x - dx[0], dx[1] - x)).transpose()
-        if dy != None and type(dy) == type(()):
+        if dy is not None and type(dy) == type(()):
             dy = nx.vstack((y - dy[0], dy[1] - y)).transpose()
 
Index: src/sas/sasgui/plottools/plottables.py
===================================================================
--- src/sas/sasgui/plottools/plottables.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sasgui/plottools/plottables.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -682,5 +682,5 @@
         has_err_y = not (dy is None or len(dy) == 0)
 
-        if(x != None) and (y != None):
+        if(x is not None) and (y is not None):
             if not dx is None and not len(dx) == 0 and not len(x) == len(dx):
                 msg = "Plottable.View: Given x and dx are not"
@@ -864,5 +864,5 @@
         if self.dy is None:
             self.dy = np.zeros(len(self.y))
-        if xmin != None and xmax != None:
+        if xmin is not None and xmax is not None:
             for i in range(len(self.x)):
                 if self.x[i] >= xmin and self.x[i] <= xmax:
Index: src/sas/sasgui/plottools/transform.py
===================================================================
--- src/sas/sasgui/plottools/transform.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/plottools/transform.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -188,5 +188,5 @@
 
     """
-    if  dx != None:
+    if  dx is not None:
         err = 2 * x * dx
         return math.fabs(err)
@@ -204,5 +204,5 @@
     """
     if x > 0:
-        if dx != None:
+        if dx is not None:
             err = dx / (2 * math.sqrt(x))
         else:
@@ -222,5 +222,5 @@
 
     """
-    if dx != None:
+    if dx is not None:
         err = 4 * math.pow(x, 3) * dx
         return math.fabs(err)
@@ -238,5 +238,5 @@
     """
     if x > 0:
-        if dx != None:
+        if dx is not None:
             err = dx / (4 * math.pow(x, 3 / 4))
         else:
